package com.usky.iot;


import com.usky.iot.factory.RemoteIotTaskFactory;
import com.usky.iot.factory.RemotePmFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

@FeignClient(contextId = "RemoteIotTaskService", value = "service-iot" , fallbackFactory = RemoteIotTaskFactory.class)
public interface RemoteIotTaskService {

    @GetMapping("/dataOverviewJobData")
    void dataOverviewJobData();

    @GetMapping("/baseAlarmStatus")
    void baseAlarmStatus();

    @GetMapping("/customInfoStatus")
    void customInfoStatus();
}
